List codes in a code system
GET
/construe/codes/{codesystem}Returns a paginated list of all codes in the specified code system from the terminology server.
Usage of CPT is subject to AMA requirements: see PhenoML Terms of Service.
RequiresBearerauthentication
Path parameters
codesystemstringrequiredCode system name (e.g., "ICD-10-CM", "SNOMED_CT_US_LITE")
Query parameters
versionstringoptionalSpecific version of the code system, such as umls-2026aa.
cursorstringoptionalPagination cursor from previous response
limitintegeroptionaldefault 20Maximum number of codes to return (default 20)
Returns
Paginated list of codes
Response fields
systemobjectrequirednamestringrequiredCode system name
versionstringrequiredCode system version
codesobject[]requiredcodestringrequiredThe code identifier
descriptionstringrequiredShort description of the code
definitionstringoptionalExtended definition of the code (if available)
next_cursorstringoptionalCursor for fetching the next page (null if no more results)
has_morebooleanrequiredWhether there are more results available
GETRequest
200 OKResponse